### Enumeration

# Aravis GcSignedness

#### Declaration

    enum Aravis.GcSignedness

#### Description [src]

Specifies signedness of integer registers. Per standard Genicam internally uses signed 64-bit signed integers for representing all integer registers. Therefore unsigned 64-bit integers are not available.

#### Members

`ARV_GC_SIGNEDNESS_UNDEFINED`

  Undefined sign.

  - Value: `-1`
  - Available since: 0.8
`ARV_GC_SIGNEDNESS_SIGNED`

  Signed integer.

  - Value: `0`
  - Available since: 0.8
`ARV_GC_SIGNEDNESS_UNSIGNED`

  Unsigned integer.

  - Value: `1`
  - Available since: 0.8